Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.display.canvas
Interface FeatureLayer

    public interface FeatureLayer

Abstract base class for a grouping of features drawn on a Canvas. Each instance of this interface has a reference to a collection of features to draw and a style to draw those features with. Also, each `FeatureLayer` has a Z-order value that indicates the order in which features are drawn on the `FeatureCanvas`. Lower numbers draw first.

The current style and the Z-order are changeable at runtime, so consumers of `FeatureLayer` objects must add listeners to know if they have been changed.

Since:
  GeoAPI 2.0

Method Summary
`void` | `addFeatureLayerListener(FeatureLayerListener ll)` Allows an object to register for events when one of the mutable properties of this layer has changed.
`FeatureCollection` | `getFeatureCollection()` Returns the collection of features that will be portrayed in this layer.
`double` | `getLevel()` Returns the current z-order level of this layer.
`double` | `getMaximumLevel()` Returns the maximum z-order level that this layer can be moved to.
`double` | `getMinimumLevel()` Returns the minimum z-order level that this layer can be moved to.
`FeatureStyle` | `getStyle()` Returns the style to apply to features in this layer.
`void` | `removeFeatureLayerListener(FeatureLayerListener ll)` Removes a listener that was previously added with the ``addFeatureLayerListener`(ll)` method.
`void` | `setLevel(double level)` Sets the current z-order level of this layer.
`void` | `setStyle(FeatureStyle style)` Sets the style that will be applied to features in this layer.

Method Detail

### getFeatureCollection

    FeatureCollection getFeatureCollection()

  Returns the collection of features that will be portrayed in this layer. A null value is allowed and indicates that nothing will be drawn.

### getStyle

    FeatureStyle getStyle()

  Returns the style to apply to features in this layer. A null value is allowed, and indicates that the features should not be drawn.

### setStyle

    void setStyle(FeatureStyle style)

  Sets the style that will be applied to features in this layer.

### getMinimumLevel

    double getMinimumLevel()

  Returns the minimum z-order level that this layer can be moved to.

### getMaximumLevel

    double getMaximumLevel()

  Returns the maximum z-order level that this layer can be moved to.

### setLevel

    void setLevel(double level)
                  throws IllegalArgumentException

  Sets the current z-order level of this layer.

  Throws:
    `IllegalArgumentException` - If the level is outside the allowable range.

### getLevel

    double getLevel()

  Returns the current z-order level of this layer.

### addFeatureLayerListener

    void addFeatureLayerListener(FeatureLayerListener ll)

  Allows an object to register for events when one of the mutable properties of this layer has changed. A `FeatureCanvas` may, for example, use this to receive notification when the style has changed.

### removeFeatureLayerListener

    void removeFeatureLayerListener(FeatureLayerListener ll)

  Removes a listener that was previously added with the ``addFeatureLayerListener`(ll)` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.